<div ng-controller="Tab2Ctrl">
	<div class="row">
		<div class="col-md-4">
			<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Opción">
		</div>
		<div class="col-md-4 col-md-offset-4">
			<button class="btn btn-success btn-block btn-rounded" ng-click="clear();openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> Agregar Opción</button>
		</div>
	</div>

	<div class="loading-container" ng-if="flag">
        <div class="loading"></div>
        <div id="loading-text">Cargando</div>
    </div>
	<div class="row" ng-if="!flag">
		<div class="col-md-12">
			<br>
			<div class="table-responsive">
				<table class="table table-hover">
					<thead>
						<tr>
							<th>Opción</th>
							<th class="text-center">Ícono</th>
							<th>Asignar sub-opciones</th>
							<th class="text-center">Opciones</th>
						</tr>
					</thead>
					<tbody>
						<tr dir-paginate="op in opciones |filter: buscar | itemsPerPage: 10" pagination-id="op.id">
							<td>{{op.nombre}}</td>
							<td class="text-center"><i class="fa fa-{{op.icono}}"></i></td>
							<td><button class="btn btn-default btn-sm btn-rounded" ng-click="load(op);openModalAsignar($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-list-ol"></i> sub opciones</button></td>
							<td width="150px" class="text-center">
								<button class="btn btn-info btn-xs text-center" ng-click="load(op);openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-edit"></i>Editar</button>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<div class="pull-right">
				<dir-pagination-controls pagination-id="op.id"></dir-pagination-controls>
			</div>
		</div>
	</div>
	<!-- <div class="modal fade" id="modal_opcion">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-body">
					<form>
						<legend class="text-center"><span ng-show="flagCrud">Crear</span><span ng-hide="flagCrud">Editar</span> Opción</legend>
					
						<div class="form-group">
							<label for="">Opción</label>
							<input type="text" class="form-control" id="rol" ng-model="obj.nombre" placeholder="Opción">
						</div>

						<div class="text-center">
							<button type="submit" class="btn btn-success btn-lg" ng-click="createEdit()" data-dismiss="modal"><span ng-show="flagCrud">Guardar</span><span ng-hide="flagCrud">Editar</span></button>
							<button type="button" class="btn btn-default btn-lg" data-dismiss="modal">Cancelar</button>
						</div>	
						
					</form>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="modal_opcion_delete">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<div class="text-center">
						<h4 class="modal-title">¿Desea Eliminar Opción?</h4>
					</div>					
				</div>
				<div class="modal-body">
					<div class="text-center">
						<h3>{{obj.nombre | uppercase}}</h3>
						<button type="submit" class="btn btn-danger btn-lg" ng-click="delete()" data-dismiss="modal">Eliminar</button>
						<button type="button" class="btn btn-default btn-lg" data-dismiss="modal" ng-click="clear()">Cancelar</button>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="modal_list_subopciones">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<div class="text-center">
						<h4 class="modal-title">Lista Subopciones</h4>
					</div>					
				</div>
				<div class="modal-body">
					<div class="table-responsive">
						<table class="table table-hover">
							<thead>
								<tr>
									<th>Subopción</th>
									<th class="text-center">Icono</th>
									<th class="text-center">Opciones</th>
								</tr>
							</thead>
							<tbody>
								<tr dir-paginate="sub in subopciones |filter: buscar | itemsPerPage: 5" pagination-id="sub.id">
									<td>{{sub.nombre | uppercase}}</td>
									<td class="text-center"><i class="fa fa-{{sub.icono}}"></i></td>
									<td class="text-center">
										<label class="switch">
                                            <input type="checkbox" ng-click="saveSubopcion(sub)" ng-model="sub.enable">
                                            <span></span>
                                        </label> 
									</td>
								</tr>
							</tbody>
						</table>
						<div class="pull-right">
							<dir-pagination-controls pagination-id="sub.id"></dir-pagination-controls>
						</div>
					</div>
					<div class="text-center">
						<button type="submit" class="btn btn-success btn-lg" data-dismiss="modal">Aceptar</button>
					</div>
				</div>
			</div>
		</div>
	</div> -->

	<script type="text/ng-template" id="modal_list_subopciones.html">
        <!-- <div class="modal-header">a
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
        	<div class="loading-container" ng-if="flag">
		        <div class="loading"></div>
		        <div id="loading-text">Cargando</div>
		    </div>
			<form ng-if="!flag">
				<legend class="text-center">Lista de Sub Opciones</legend>
				
				<div class="table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
								<th>Sub Opción</th>
								<th class="text-center">Icono</th>
								<th class="text-center">Asignar</th>
							</tr>
						</thead>
						<tbody>
							<tr dir-paginate="sub in subopciones |filter: buscar | itemsPerPage: 5" pagination-id="sub.id">
								<td>{{sub.nombre}}</td>
								<td class="text-center"><i class="fa fa-{{sub.icono}}"></i></td>
								<td class="text-center">
									<div class="onoffswitch primary inline-block">
					                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" ng-click="saveSubopcion(sub)" ng-model="sub.enable" id="switch{{$index}}" checked="">
					                    <label class="onoffswitch-label" for="switch{{$index}}">
					                      <span class="onoffswitch-inner"></span>
					                      <span class="onoffswitch-switch"></span>
					                    </label>
					                </div>
								</td>
							</tr>
						</tbody>
					</table>
					<div class="pull-right">
						<dir-pagination-controls pagination-id="sub.id"></dir-pagination-controls>
					</div>
				</div>

				<div class="text-center">
	                <button type="button" class="btn btn-primary" ng-click="cancel()">Aceptar</button>
	            </div>	
				
			</form>
		</div>
    </script>

	<script type="text/ng-template" id="modal_opcion.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
			<form>
				<legend class="text-center"><span ng-show="obj.crud">Crear</span><span ng-hide="obj.crud">Actualizar datos de </span> Opción</legend>
				
				<div class="form-group">
					<label for="">Opción | <span class="obligatorio">(obligatorio)</span></label>
					<input type="text" class="form-control" id="rol" ng-model="obj.nombre" placeholder="Opción">
				</div>

				<div class="form-group">
					<label for="">Url</label>
					<input type="text" class="form-control" id="rol" ng-model="obj.url" placeholder="Url">
				</div>

				<div class="text-center">
	                <button type="button" class="btn btn-primary" ng-click="ok()">
	                <span ng-if="obj.crud"><i class="fa fa-save"></i> Guardar</span><span ng-if="!obj.crud"><i class="fa fa-refresh"></i> Actualizar</span></button>
	                <button type="button" class="btn btn-default" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
	            </div>	
				
			</form>
		</div>
    </script>

    <script type="text/ng-template" id="modal_opcion_delete.html">
        <div class="modal-header">
        	<div class="text-center">
        		<h3 class="modal-title custom-font">¿Desea eliminar esta opción?</h3>
        	</div>            
        </div>
        <div class="modal-body">
			<div class="text-center">
				<h3>{{obj.nombre | uppercase}}</h3>
				<button type="button" class="btn btn-default" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
				<button type="button" class="btn btn-danger" ng-click="ok()"><i class="fa fa-trash"></i> Eliminar</button>
			</div>
		</div>
    </script>
</div>